import React, { useState } from 'react';
import { Form, Input, Button, Row, Col } from 'antd';
import styles from './addForm.less';
import PicturesWall from '@/components/Upload/index';

const { Item } = Form;
const AddForm = props => {
  const { submitCallback, nodeType, nodeObj, addType } = props;
  // const [type, setType] = useState(2);
  const [form] = Form.useForm();
  const [otherForm] = Form.useForm();

  const layout = {
    layout: 'horizontal',
    labelCol: { span: 4, offset: 1 },
    wrapperCol: { span: 16 },
  };
  const submit = () => {
    if (addType === 1 || addType === 2) {
      let obj = form.getFieldsValue();
      submitCallback(obj, nodeObj);
    }
    if (addType === 3 || addType === 4) {
      let obj = otherForm.getFieldsValue();
      submitCallback(obj, nodeObj);
    }
  };
  return (
    <div>
      {(addType === 1 || addType === 2) && (
        <Form form={form} {...layout} className={styles.formStyle}>
          <Item label="分组名称" name="menuName">
            <Input />
          </Item>
          <Item label="分组别名" name="shortName">
            <Input />
          </Item>
          {addType === 1 && (
            <Item label="在线图标" name="imageUrl">
              <PicturesWall />
            </Item>
          )}
          {addType === 1 && (
            <Item label="离线图标" name="offlineImgUrl">
              <PicturesWall />
            </Item>
          )}

          {addType === 2 && (
            <Item label="分组图标" name="imageUrl">
              <PicturesWall />
            </Item>
          )}
          <Item label="功能参数" name="funParam">
            <Input />
          </Item>
          <Item wrapperCol={{ offset: 5 }} style={{ marginTop: '40px' }}>
            <Button type="primary" onClick={() => submit()}>
              提交
            </Button>
          </Item>
        </Form>
      )}

      {(addType === 3 || addType === 4) && (
        <Form form={otherForm} {...layout} className={styles.formStyle}>
          <Item label="菜单名称" name="menuName">
            <Input />
          </Item>
          <Item label="菜单别名" name="shortName">
            <Input />
          </Item>
          {addType === 3 && (
            <Item label="在线图标" name="imageUrl">
              <PicturesWall />
            </Item>
          )}
          {addType === 3 && (
            <Item label="离线图标" name="offlineImgUrl">
              {/* {otherForm.getFieldsValue().offlineImgUrl && <PicturesWall />} */}
              <PicturesWall />
            </Item>
          )}
          {addType === 4 && (
            <Item label="菜单图标" name="imageUrl">
              <PicturesWall />
            </Item>
          )}
          <Item label="功能路径" name="pageUrl">
            <Input />
          </Item>
          <Item label="功能参数" name="funParam">
            <Input />
          </Item>
          <Item wrapperCol={{ offset: 5 }} style={{ marginTop: '40px' }}>
            <Button type="primary" onClick={() => submit()}>
              提交
            </Button>
          </Item>
        </Form>
      )}
    </div>
  );
};
export default AddForm;
