import React, { useState, useEffect } from 'react';
import { Form, Input, Button, Row, Col } from 'antd';
import styles from './addForm.less';
import PicturesWall from '@/components/Upload/index';

const { Item } = Form;
const EditForm = props => {
  const { submitCallback, nodeType, info } = props;
  const [form] = Form.useForm();
  const [otherForm] = Form.useForm();
  console.log(info);
  const layout = {
    layout: 'horizontal',
    labelCol: { span: 4, offset: 1 },
    wrapperCol: { span: 16 },
  };
  // 回显表单
  useEffect(() => {
    form.resetFields();
    otherForm.resetFields();
  }, [info]);
  useEffect(() => {
    if (nodeType === 1 || nodeType === 2) {
      let arr = Object.keys(form.getFieldsValue());
      let obj = {};
      arr.map(i => {
        obj[i] = info[i];
      });
      form.setFieldsValue({ ...obj, shortName: info.menuShortName });
    }
    if (nodeType === 3 || nodeType === 4) {
      let arr = Object.keys(otherForm.getFieldsValue());
      let obj = {};
      arr.map(i => {
        obj[i] = info[i];
      });
      otherForm.setFieldsValue({ ...obj, shortName: info.menuShortName });
    }
  }, [info]);

  const submit = () => {
    if (nodeType === 1 || nodeType === 2) {
      let obj = form.getFieldsValue();
      console.log(obj, '1,2');
      submitCallback(obj);
    }
    if (nodeType === 3 || nodeType === 4) {
      let obj = otherForm.getFieldsValue();
      console.log(obj, '3,4');
      submitCallback(obj);
    }
  };
  return (
    <div>
      {(nodeType === 1 || nodeType === 2) && (
        <Form form={form} {...layout} className={styles.formStyle}>
          <Item label="分组名称" name="menuName">
            <Input />
          </Item>
          <Item label="分组别名" name="shortName">
            <Input />
          </Item>
          {nodeType === 1 && (
            <Item label="在线图标" name="imageUrl">
              <PicturesWall />
            </Item>
          )}
          {nodeType === 1 && (
            <Item label="离线图标" name="offlineImgUrl">
              <PicturesWall />
            </Item>
          )}

          {nodeType === 2 && (
            <Item label="分组图标" name="imageUrl">
              <PicturesWall />
            </Item>
          )}
          <Item label="功能参数" name="funParam">
            <Input />
          </Item>
          <Item wrapperCol={{ offset: 5 }} style={{ marginTop: '40px' }}>
            <Button type="primary" onClick={() => submit()}>
              提交
            </Button>
          </Item>
        </Form>
      )}

      {(nodeType === 3 || nodeType === 4) && (
        <Form form={otherForm} {...layout} className={styles.formStyle}>
          <Item label="菜单名称" name="menuName">
            <Input />
          </Item>
          <Item label="菜单别名" name="shortName">
            <Input />
          </Item>
          {nodeType === 3 && (
            <Item label="在线图标" name="imageUrl">
              <PicturesWall />
            </Item>
          )}
          {nodeType === 3 && (
            <Item label="离线图标" name="offlineImgUrl">
              {/* {otherForm.getFieldsValue().offlineImgUrl && <PicturesWall />} */}
              <PicturesWall />
            </Item>
          )}
          {nodeType === 4 && (
            <Item label="菜单图标" name="imageUrl">
              <PicturesWall />
            </Item>
          )}
          <Item label="功能路径" name="pageUrl">
            <Input />
          </Item>
          <Item label="功能参数" name="funParam">
            <Input />
          </Item>
          <Item wrapperCol={{ offset: 5 }} style={{ marginTop: '40px' }}>
            <Button type="primary" onClick={() => submit()}>
              提交
            </Button>
          </Item>
        </Form>
      )}
    </div>
  );
};
export default EditForm;
