import { get, post, PUBLISH_SERVICE } from '@/services/index';
import qs from 'qs';

/**
 * @param {*} params
 */
export const miniAppSiteTree = params =>
  get('/Cityinterface/rest/services/OMS.svc/MiniAppSiteTree', params);

/**
 * 获取网站配置
 * @param {*} params
 * title:'名称'
 */
export const getWebsite = params =>
  get('/Cityinterface/rest/services/OMS.svc/MiniApp_GetWebsite', params);
/**
 *
 * @param {*} params
 * /**
 *  编辑小程序网站配置
    title:"节水平台",
    "shortcutIcon":"assets/images/icon/小程序logo/gck.png",
    "style":"default",
    "mode":"single",
    "client":"miniapp",
    "loginTemplate":"default",
    "theme":"default",
    "cloudLogin":false
*/
export const editWebsite = (params, options) => {
  let strParams = JSON.stringify(params);
  let qsParams = qs.stringify({ config: strParams });
  return post(
    '/Cityinterface/rest/services/OMS.svc/MiniApp_EditWebsite?_version=9999',
    qsParams,
    options,
  );
};

/**
 * @获取菜单配置
 * {
 * userMode:''
 * } 必填 super 或 admin 或common
 */
export const getMiniAppModuleTree = params =>
  get(`${PUBLISH_SERVICE}/PlatformCenter/MiniAppModuleTree`, params);

/**
 *
 * @新增功能菜单组
 * @请求参数 {*}{
 * version: 9999
    _dc: 1606203896370
    parentID: -1
    subSystemValue: miniapp
    menuName: 分组名称
    imageUrl: assets/images/appMenu/小程序tab/enterprise_select.png
    offlineImgUrl: assets/images/appMenu/小程序tab/enterprise_unselect.png
    shortName: 分组别名
    pageUrl: //功能路径
    funParam: 测试功能参数
    relatedRoleList： //角色数组
  }
 */
export const addMenu = params =>
  get('/Cityinterface/rest/services/OMS.svc/MiniApp_AddMenu', params);

// 获取菜单详情
/**
 * {
 * menuID:''
 * }
 */
export const getMenuInfo = params =>
  get('/Cityinterface/rest/services/OMS.svc/Mini_GetMenuInfo', params);

// 编辑菜单
export const editMenu = params =>
  get('/Cityinterface/rest/services/OMS.svc/MiniApp_EditMenu', params);

// 删除菜单

export const deleteMenu = params =>
  get('/Cityinterface/rest/services/OMS.svc/MiniApp_DeleteMenu', params);
